{$mode objfpc}
var
  p, lp: array of Integer;
  N, M: Integer;

  procedure Sieve;
  var
    i, j, pc, t: Integer;
  begin
    SetLength(p, N + 1);
    SetLength(lp, N + 1);
    pc := 0;
    for i := 0 to High(lp) do lp[i] := 0;
    for i := 2 to N do begin
      if lp[i] = 0 then begin
        pc += 1;
        lp[i] := pc;
        p[pc] := i;
      end;
      for j := 1 to lp[i] do begin
        t := p[j] * i;
        if t > N then break;
        lp[t] := j;
      end;
    end;
    SetLength(p, pc + 1);
  end;
  
  function Solve: Integer;
  var
    i, t: Integer;
    d, lpc: array of Integer;
  begin
    SetLength(lpc, N + 1);
    SetLength(d, N + 1);
    Result := 0;
    lpc[1] := 1;
    d[1] := 1;
    for i := 2 to N do begin
      t := i div p[lp[i]];
      if lp[i] = lp[t] then begin
        lpc[i] := lpc[t] + 1;
        d[i] := d[t];
      end
      else begin
        lpc[i] := 2;
        d[i] := d[t] * lpc[t];
      end;
      Result += Ord(d[i] * lpc[i] = M);
    end;
  end;

begin
  Assign(input, 'input.txt'); Reset(input);
  Assign(output, 'output.txt'); Rewrite(output);
  Read(N, M);
  Sieve;
  Writeln(Solve);
end.
