{$mode objfpc}
var
  p, lp, r: array of Integer;
  N, M: Integer;

  procedure Sieve;
  var
    i, j, pc, t: Integer;
  begin
    SetLength(p, N + 1);
    SetLength(r, N + 1);
    SetLength(lp, N + 1);
    pc := 0;
    for i := 0 to High(lp) do
      lp[i] := 0;
    for i := 2 to N do begin
      if lp[i] = 0 then begin
        pc += 1;
        lp[i] := pc;
        r[i] := 1;
        p[pc] := i;
      end;
      for j := 1 to lp[i] do begin
        t := p[j] * i;
        if t > N then break;
        lp[t] := j;
        r[t] := i;
      end;
    end;
    SetLength(p, pc + 1);
  end;
  
  function Solve: Integer;
  var
    i, pc, tp, pp, v, d: Integer;
  begin
    Result := 0;
    for i := 2 to N do begin
      pp := 0;
      pc := 1;
      v := i;
      d := 1;
      while v > 1 do begin
        tp := p[lp[v]];
        if pp = tp then
          pc += 1
        else begin
          d *= pc;
          pc := 2;
          pp := tp;
        end;
        v := r[v];
      end;
      d *= pc;
      Result += Ord(d = M);
    end;
  end;

begin
  Assign(input, 'input.txt'); Reset(input);
  Assign(output, 'output.txt'); Rewrite(output);
  Read(N, M);
  Sieve;
  Writeln(Solve);
end.
